HF77(1)

NAME
hf77, mpif77 - Compile LAM FORTRAN programs.

SYNTAX
hf77 [-showme] ...

see f77(1) (or whatever your underlying FORTRAN compiler is) for all other options.

DESCRIPTION
hf77 is a convenience wrapper for the local native FORTRAN compiler. Translation of a LAM program requires the linkage of the LAM essential services libraries which may not reside in one of the standard search directories of ld(1). hf77 passes its arguments along to the local native FORTRAN compiler along with the -L and -l options required by LAM/MPI programs. This includes all necessary options for ROMIO and/or C++ bindings support (if ROMIO/C++ support was included when LAM was compiled).

mpif77 is now the same as hf77. See the NOTES section, below.

By default, hf77 uses the FORTRAN compiler that was selected when LAM was configured (with the --with-fc flag to ./configure) as the local native FORTRAN compiler, but this can be overridden by the LAMHF77 environment variable.

OPTIONS

-showme
    Does not invoke the underlying FORTRAN compiler. Instead, it shows the command line that would be executed to compile the FORTRAN program.

NOTES
Previous versions of hf77 did not automatically link in the MPI library. Starting with LAM version 6.3, since hf77 has become the de facto LAM FORTRAN compiler, the -lmpi option is now automatically passed to the underlying compiler when linking LAM/MPI programs.

Previous versions of LAM included the mpif77 wrapper script to automatically pass -lmpi to hf77. This script is now obsolete since hf77 now includes -lmpi automatically. mpif77 is now a symbolic link to hf77 to ensure backward compatibility.

SEE ALSO
f77(1), ld(1), lam-helpfile(1)